Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class RemoveAction

    java.lang.Object
      javax.swing.AbstractAction
          edu.stanford.smi.protege.util.StandardAction
              edu.stanford.smi.protege.util.AllowableAction
                  edu.stanford.smi.protege.util.RemoveAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

    public abstract class RemoveAction

extends AllowableAction

An action to remove an item. Note that this is different from deleting the item. Removing it causes the reference to the item to be removed from this particular place but the same item may still be refered to elsewhere.

Author:
  Ray Fergerson
See Also:
  Serialized Form

Field Summary

Fields inherited from class edu.stanford.smi.protege.util.StandardAction
`DISABLED_ICON`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`protected` | `RemoveAction(ResourceKey key, Selectable selectable)`
`protected` | `RemoveAction(String text, Selectable selectable)`
`protected` | `RemoveAction(String text, Selectable selectable, Icon icon)`
`protected` | `RemoveAction(String name, String text, Selectable selectable, Icon icon)`

Method Summary
`void` | `actionPerformed(ActionEvent event)`
`void` | `onRemove()`
`void` | `onRemove(Collection objects)`
`void` | `onRemove(Object o)`

Methods inherited from class edu.stanford.smi.protege.util.AllowableAction
`getSelectable, getSelection, isAllowed, onSelectionChange, setAllowed`

Methods inherited from class edu.stanford.smi.protege.util.StandardAction
`equals, getIcon, getName, getName, initialize, setDescription, setDescription, setDisabledIcon, setDisabledIcon, setIcon, setIcon, setMnemonic, setMnemonic, setName, setName, setShortcut, setShortcut, substituteIntoName`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoveAction

    protected RemoveAction(ResourceKey key,
                           Selectable selectable)

### RemoveAction

    protected RemoveAction(String text,
                           Selectable selectable)

### RemoveAction

    protected RemoveAction(String text,
                           Selectable selectable,
                           Icon icon)

### RemoveAction

    protected RemoveAction(String name,
                           String text,
                           Selectable selectable,
                           Icon icon)

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent event)

### onRemove

    public void onRemove(Collection objects)

### onRemove

    public void onRemove(Object o)

### onRemove

    public final void onRemove()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.